List Groups
curl --request GET \
--url https://getunblocked.com/api/v1/scim/v2/Groups \
--header 'Authorization: Bearer <token>'import requests
url = "https://getunblocked.com/api/v1/scim/v2/Groups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://getunblocked.com/api/v1/scim/v2/Groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://getunblocked.com/api/v1/scim/v2/Groups",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://getunblocked.com/api/v1/scim/v2/Groups"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://getunblocked.com/api/v1/scim/v2/Groups")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://getunblocked.com/api/v1/scim/v2/Groups")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"schemas": [
"<string>"
],
"totalResults": 123,
"Resources": [
{
"schemas": [
"<string>"
],
"id": "2819c223-7f76-453a-919d-413861904646",
"meta": {
"resourceType": "User",
"created": "2011-05-13T04:42:34Z",
"lastModified": "2011-05-13T04:42:34Z",
"location": "https://getunblocked.com/api/v1/scim/v2/Users/2819c223-7f76-453a-919d-413861904646",
"version": "W/\"123456\""
},
"displayName": "<string>",
"members": [
{
"value": "<string>",
"type": "User",
"\\$ref": "<string>",
"display": "<string>"
}
]
}
],
"startIndex": 123,
"itemsPerPage": 123
}{
"message": "<string>",
"documentationUrl": "<string>"
}SCIM
List Groups
List all groups.
GET
/
scim
/
v2
/
Groups
List Groups
curl --request GET \
--url https://getunblocked.com/api/v1/scim/v2/Groups \
--header 'Authorization: Bearer <token>'import requests
url = "https://getunblocked.com/api/v1/scim/v2/Groups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://getunblocked.com/api/v1/scim/v2/Groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://getunblocked.com/api/v1/scim/v2/Groups",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://getunblocked.com/api/v1/scim/v2/Groups"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://getunblocked.com/api/v1/scim/v2/Groups")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://getunblocked.com/api/v1/scim/v2/Groups")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"schemas": [
"<string>"
],
"totalResults": 123,
"Resources": [
{
"schemas": [
"<string>"
],
"id": "2819c223-7f76-453a-919d-413861904646",
"meta": {
"resourceType": "User",
"created": "2011-05-13T04:42:34Z",
"lastModified": "2011-05-13T04:42:34Z",
"location": "https://getunblocked.com/api/v1/scim/v2/Users/2819c223-7f76-453a-919d-413861904646",
"version": "W/\"123456\""
},
"displayName": "<string>",
"members": [
{
"value": "<string>",
"type": "User",
"\\$ref": "<string>",
"display": "<string>"
}
]
}
],
"startIndex": 123,
"itemsPerPage": 123
}{
"message": "<string>",
"documentationUrl": "<string>"
}Authorizations
Query Parameters
Response
OK
A SCIM group list.
An array of Strings containing URIs that are used to indicate the namespaces of the SCIM schemas that define the attributes present in the current structure. Each schema URI MUST be unique, and any schema that defines attributes in the current structure MUST be included in the array. The schemas array is REQUIRED and MUST be non-empty.
An array of SCIM group objects as defined in RFC 7643. This object is used to represent a group in the SCIM API.
Show child attributes
Show child attributes